<#include "header.ftl">

	<h2> ${form.name} </h2>

	<form action="${flowExecutionUrl}" name="submitForm" method="POST" enctype="multipart/form-data">
		<div class="info">
		You need to supply your identity data in the format:
		<div class="infoVal" style="margin-left: 20px; font-weight: bold;">
		${application.selectedFormatNice}
		</div>
		</div>

		<hr>
		
		
		<div class="group">
		<#if app1FormData.isCSR?? && app1FormData.isCSR?size gt 0 >
			<div class="desc">
			Please select a file with your certificate signing request (CSR). 
			It will be sent to the CA and if accepted your VO application with 
			the identity corresponding to your CSR will be processed by the VO
			administrator.
			</div>
			<div class="input">
			<input type="file" name="idCert_file">
			<@spring.bind "app2FormData.idCertError" />
			<@spring.showErrors ", " "error"/>
			</div>
			
		<#elseif application.selectedFormat == "urn:unicore:idType:X509Certificate">
			<div class="desc">
			Please select a file with your certificate.
			<br/>It must be in PEM format.
			</div>
			<div class="input">
			<input type="file" name="idCert_file"/>
			<@spring.bind "app2FormData.idCertError" />
			<@spring.showErrors ", " "error"/>
			</div>
		<#elseif application.selectedFormat == "urn:oasis:names:tc:SAML:1.1:nameid-format:X509SubjectName">
			<div class="desc">
			Please select a file with your certificate. 
			Your DN will be extracted from your certificate. <br/>
			The file must be in PEM format.
			</div>
			<div class="input">
			<input type="file" name="idCert_file">
			<@spring.bind "app2FormData.idCertError" />
			<@spring.showErrors ", " "error"/>
			</div>
			
			<div class="desc">
			Alternatively you can enter your DN directly:
			</div>
			<div class="input">
			<@spring.formInput "app2FormData.idDN"/>
			<@spring.showErrors ", " "error"/>
			</div>
		<#elseif application.selectedFormat == "urn:oasis:names:tc:SAML:1.1:nameid-format:emailAddress">
			<div class="desc">
			Enter your email address:
			</div>
			<div class="input">
			<@spring.formInput "app2FormData.email"/>
			<@spring.showErrors ", " "error"/>
			</div>
			<div class="desc">
			Type a corresponding password:
			</div>
			<div class="input">
			<@spring.formPasswordInput "app2FormData.passwd1"/>
			<@spring.showErrors ", " "error"/>
			</div>
			<div class="desc">
			Type your password once again:
			</div>
			<div class="input">
			<@spring.formPasswordInput "app2FormData.passwd2"/>
			<@spring.showErrors ", " "error"/>
			</div>
		</#if>
		</div>
		
		<#if (app1FormData.isCSR?? && app1FormData.isCSR?size gt 0) || 
			application.selectedFormat == "urn:oasis:names:tc:SAML:1.1:nameid-format:emailAddress" ||
			(form.disableCustomCA?? && form.disableCustomCA == "true")>
		<#else>
		<div class="group">
		<br/>
		<div class="desc">
		If your certificate is issued by a CA which may not be trusted by the VO service
		(e.g. you came from organisation which wasn't yet participating in any of VOs managed 
		by this service) you should also send your CA's certificate. <br/>
		The file must be in PEM format. 
		</div>
		<div class="input">
		<input type="file" name="caCert_file">
		<@spring.bind "app2FormData.caCertError" />
		<@spring.showErrors ", " "error"/>
		</div>
		</div>
		</#if>
		
		<!-- TODO Remove this !! (both here and fix the code) -->
		<@spring.bind "app2FormData.identityType" />
		<input type="hidden" name="${spring.status.expression}" 
			value="${application.selectedFormat}" />
		
		<div class="buttons">				
		<input type="submit" class="button" name="_eventId_cancel" value="Cancel" />
		<input type="submit" class="button" name="_eventId_back" value="Back" />
		<input type="submit" class="button" name="_eventId_proceed" value="Proceed" />
		</div>
	</form>

<#include "footer.ftl">